#version 450 core

in vec2 fragTexCoordinate;
in vec3 fragNormal;

layout(location=0) out vec4 color;
layout(location=1) out vec4 normalColor;

uniform vec4 inColor;
uniform sampler2D diffuseTexture;

void main() {
    normalColor = abs(vec4(normalize(fragNormal), texture2D(diffuseTexture, fragTexCoordinate).r));

    color = inColor * vec4(1.0f, 1.0f, 1.0f, texture2D(diffuseTexture, fragTexCoordinate).r);
}