#version 450 core

in vec2 fragTexCoordinate;

out vec4 color;

uniform vec4 inColor;
uniform sampler2D diffuseTexture;
uniform bool useDiffuseTexture;

void main() {
    if (useDiffuseTexture) {
        color = texture(diffuseTexture, fragTexCoordinate);
    } else {
        color = inColor;
    }
}