#version 450 core

layout(location = 0) in vec3 position;

out vec3 fragTexCoordinate;

uniform mat4 viewProjectionMatrix;

void main() {
    fragTexCoordinate = position;
    vec4 pos = viewProjectionMatrix * vec4(position, 1.0f);
    gl_Position = pos.xyww;
}
